Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.credentials
Class ResourceKey

    java.lang.Object
      com.bea.p13n.security.management.credentials.ResourceKey

    public class ResourceKey

extends Object

This class represents the resource requesting a credential entry

Constructor Summary
`ResourceKey(Scope scope, String resourceId)` Constructor

Method Summary
`boolean` | `equals(Object o)`
`String` | `getResourceId()` Get the web application name the resource scoped to
`Scope` | `getScope()` Get the scope of the resource
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceKey

    public ResourceKey(Scope scope,
                       String resourceId)

  Constructor

  Parameters
    `scope` - the scope of the resource. If `null`, the resource will be considered as global resource.
    `resourceId` - The unique name identifying the resource

    The id should be carefully choosen to identify the resource instance within its enterprise and web app scope. Different instances of same resource type should have different id.

    e.g. for a portlet instance, the resource id can be `"myPortal/myDesktop/Page1/portletLable1"`. All the necessary fields from the sample resource id can be retrieved via PortletBackingContext object

    NOTE: resourceId with `null` value is treated as same as an empty string

  See Also
    `com.bea.p13n.security.management.credentials.Scope#getDomainScope()}`, `com.bea.p13n.security.management.credentials.Scope#getApplicationName()}`, `com.bea.p13n.security.management.credentials.Scope#getWebApplicationScope(javax.servlet.http.HttpServletRequest)}`

Method Detail

### getResourceId

    public String getResourceId()

  Get the web application name the resource scoped to

  Returns
    name of the web application name

### getScope

    public Scope getScope()

  Get the scope of the resource

  Returns
    scope of the resource

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved